import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const wagePaymentGetUserInfo = createAsyncThunk(
  "WAGE_PAYMENT_GET_USER_INFO",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `https://${d.province}backend.rasadyar.com/get-payer-info/?${d.key}`
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
